Bug 249513 - Review Request: gnome-sshman - SSH session manager for GNOME
Summary: Review Request: gnome-sshman - SSH session manager for GNOME
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-07-25 10:57 UTC by Adel Gadllah
Modified: 2008-01-20 21:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-20 21:39:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora-review-


Attachments (Terms of Use)
mock build log (4.75 KB, text/plain)
2007-07-26 18:06 UTC, Adel Gadllah
no flags Details

Description Adel Gadllah 2007-07-25 10:57:25 UTC
Spec URL: http://tgmweb.at/gadllah/gnome-sshman.spec
SRPM URL: http://tgmweb.at/gadllah/gnome-sshman-0.5.2-1.fc7.src.rpm
Description: 
Gnome-sshman is an SSH session manager for GNOME. It is easy 
and fast to use, and is useful for system administrators that 
need to connect to many SSH servers. Gnome-sshman saves ssh 
sessions and allows you to open a saved session with a double 
click in nautilus or opening a new session running gnome-sshman

Comment 1 Jochen Schmitt 2007-07-26 17:18:48 UTC
Good:
+ Package meets naming guidelines
+ SPEC file matches with package base name
+ Package has consitant macro usage
+ License is GPL
+ License tag matches with license in upstream tar ball
+ Package contains verbatim copy of the license text
+ SPEC is written in English
+ SPEC is legible
+ Tar ball matches with upstream
  (md5sum: 4a4d64d6064770bc5a914ca47c418c4f)
+ Package contains correct buildroot
+ BuildRequies aren't redundant
+ Packages doesn't contains sub packages
+ Local build works fine
+ Local instal works fine
+ Package contains proper %defattr and file permissions
+ Package contains no duplicate files
+ package contains no file or directories owned by other packes.
+ Package contains correct %clean section
+ buildroot will cleaned in %clean section and at the beginning of the %install
section
+ %doc section is small
+ File in %doc section don't affect runtime
+ Rpmlint is quite on source rpm
+ Rpmlint is quite on binary rpm



Bad:
- When I try to connect to an sshd server, I get only a empty terminal window
after I have type in my ssh passphrase
- Mock build failes. You have to add a BR to desktop-file-utils 



Comment 2 Adel Gadllah 2007-07-26 17:41:15 UTC
>- When I try to connect to an sshd server, I get only a empty terminal window
>after I have type in my ssh passphrase
Works here... have you confused the gnome-keyring-passphrase with the ssh one?
>Mock build failes. You have to add a BR to desktop-file-utils 
it is already there:
BuildRequires: pygtk2-devel
BuildRequires: gnome-python2-devel
BuildRequires: python-crypto
BuildRequires: pexpect
BuildRequires: gettext
BuildRequires: desktop-file-utils

I will try a mock build and see whats causing it.




Comment 3 Adel Gadllah 2007-07-26 18:06:55 UTC
Created attachment 160051 [details]
mock build log

it builds fine in mock for me (F-7 x86_64)
log attached.

Comment 4 Jochen Schmitt 2007-07-26 18:55:49 UTC
OK, I have solve the mock issue. It was a 'you have no space left' issue.

Comment 5 Adel Gadllah 2007-07-26 19:04:43 UTC
ok, I uploaded a new one with BuildRequires gettext-devel instead of gettext:
http://tgmweb.at/gadllah/gnome-sshman.spec
http://tgmweb.at/gadllah/gnome-sshman-0.5.2-2.fc7.src.rpm

Does it still not work for you?
(gnome-keyring-manager vs ssh passpharse?)

Comment 6 Jochen Schmitt 2007-07-26 19:21:57 UTC
Unfortunately, it doesn't works for me. I will get a blan screen. But I can find
out, that ssh is running and holding a connection to the foreigh host.

I have installed pexpect-2.1-4.fc7 if that may be helpful

Comment 7 Adel Gadllah 2007-07-26 19:42:23 UTC
ok same version here.
can you run it from a terminal and show me the output?
does file->open with nautilus work?

Comment 8 Adel Gadllah 2008-01-20 21:39:39 UTC
I am no longer interessted in maintaining this package.


Note You need to log in before you can comment on or make changes to this bug.